Bug 400404

Summary: Sort GridViewKCM content by name
Product: [Plasma] plasmashell Reporter: Patrick Silva <bugseforuns>
Component: generalAssignee: David Edmundson <kde>
Status: RESOLVED FIXED    
Severity: wishlist CC: kdelibs-bugs, nate, plasma-bugs, unassigned-bugs
Priority: NOR    
Version: 5.14.90   
Target Milestone: 1.0   
Platform: Arch Linux   
OS: Linux   
Latest Commit: Version Fixed In: 5.15.1
Attachments: screenshot

Description Patrick Silva 2018-10-28 10:37:20 UTC
Created attachment 115936 [details]
screenshot

As we can see in my screenshot, currently icon themes are not sorted by name in icons kcm.
Would be easier to find the desired theme in the list if the themes available
were sorted by name.


SOFTWARE VERSIONS
Arch Linux
KDE Plasma Version: 5.14.2
KDE Frameworks Version: 5.51
Qt Version: 5.12 beta3
Comment 1 Nate Graham 2018-11-01 17:28:56 UTC
Ideally this whole grid view control would get a built-in sort order chooser with the options "name" and "date installed". That way every KCM using it could get this functionality free. Let's do that.
Comment 2 Kai Uwe Broulik 2019-02-07 15:34:00 UTC
Git commit 6835000906d3dd48486d80857b420a96b03e1e61 by Kai Uwe Broulik.
Committed on 07/02/2019 at 15:33.
Pushed by broulik into branch 'Plasma/5.15'.

Sort setting grid views alphabetically
FIXED-IN: 5.15.1

Differential Revision: https://phabricator.kde.org/D18815

M  +3    -0    kcms/desktoptheme/kcm.cpp
M  +4    -0    kcms/icons/iconsmodel.cpp
M  +1    -0    kcms/ksplash/kcm.cpp
M  +1    -0    kcms/lookandfeel/kcm.cpp

https://commits.kde.org/plasma-desktop/6835000906d3dd48486d80857b420a96b03e1e61